LibreOffice: Layer Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
Layer Service Referencepublished

provides read-only access to a configuration data layer. More...

`import"Layer.idl";`

Inheritance diagram for Layer:

## Exported Interfaces
interface | XLayer
| provides read access to the contents of the configuration layer. More...
interface | XCompositeLayer
| provides read access to sublayers accessible through an additional criterion (for instance the locale they contain data for). More...
interface | com::sun::star::util::XTimeStamped
| provides a way to detect changes to the layer. More...

## Public Attributes
string | URL
| The URL of the layer data. More...

## Additional Inherited Members
Public Member Functions inherited from XLayer
void | readData ([in] XLayerHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XCompositeLayer
sequence< string > | listSubLayerIds () raises (com::sun::star::lang::WrappedTargetException)
| Returns a list of the criteria that can be used to access the sublayers. More...
void | readSubLayerData ([in] XLayerHandler aHandler, [in] string aSubLayerId) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| Describes the content of a particular sublayer to an XLayerHandler. More...
Protected Member Functions inherited from XTimeStamped
string | getTimestamp ()
| returns the timestamp of the object. More...

## Detailed Description

provides read-only access to a configuration data layer.

A layer contains the configuration setting changes to be performed on a default settings tree to obtain the values of those settings for a given entity and component.

See also
  com::sun::star::configuration::backend::Schema Service providing access to schema data for a configuration component.
  com::sun::star::configuration::backend::UpdatableLayer Service providing write access to a configuration data layer.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::util::XTimeStamped

interface com::sun::star::util::XTimeStamped
| optional

provides a way to detect changes to the layer.

Timestamps should be considered as opaque markers and can only safely be compared for equality and only to timestamps generated by the same implementation. When the content of the Layer changes, the timestamp is guaranteed to change to a different value.

The timestamp format depends on the implementation. If the timestamp is a representation of the time of the last change, the recommended format is "YYYYMMDDhhmmssZ".

## ◆ XCompositeLayer

interface XCompositeLayer
| optional

provides read access to sublayers accessible through an additional criterion (for instance the locale they contain data for).

## ◆ XLayer

interface XLayer

provides read access to the contents of the configuration layer.

## Member Data Documentation

## ◆ URL

string URL
| optionalpropertyreadonly

The URL of the layer data.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/Layer.idl